Chyba Linuxu ohrožuje miliony uživatelů počítačů i mobilů

Nově objevená chyba útočníkům umožňuje získat přístup k rootu zařízení běžících na rozličném hardwaru i operačním systému – počínaje mobily s Androidem a konče síťovými routery.

Chyba Linuxu ohrožuje miliony uživatelů počítačů i mobilů


V potenciálním ohrožení jsou miliony počítačů kvůli díře v linuxovém kernelu. Ta souvisí se systémem keyringů a útočníkům umožňuje prostřednictvím aplikací spouštět vlastní škodlivé kódy a dostat se jejich prostřednictvím až k rootovým právům. Na chybu označenou jako CVE-2016-0728 přišli vývojáři z izraleského bezpečnostního start-upu Perception Point.

Linuxový kernel je středobodem všech z Linuxu vycházejících operačních systémů, včetně Androidu. Systém keyringů pak slouží aplikacím k ukládání citlivých informací, včetně šifrovacích klíčů, tak, aby se k nim nemohli dostat cizí uživatelé.

Vývojáři z Perception Point však přišli na způsob, jak kernel oklamat a přepsat data navázaná na keyring. Podle nich se chyba datuje až ke kernelu 3.8, vydanému v únoru 2013. Tento týden by však měly být k dispozici bezpečnostní patche, uživatelé Linuxu by tak měli updatovat své kernely pokud možno co nejdřív.

Dá se ale očekávat, že mnohé systémy zůstanou i nadále zranitelné. Kupříkladu na mnoha linuxových serverech jsou totiž automatické aktualizace zakázané a s jejich manuálním spuštěním si správci často dávají na čas.

Co aktuální chybu činí výjimečnou, je skutečnost, že se týká všech procesorových architektur, včetně hojně rozšířené ARM. Hrozba se tak týká například i zařízení s Androidem 4.4 (KitKat) a pozdějších, které v současnosti využívá skoro 70 % všech „androidistů“.

Většina z nich přitom dostává softwarovou podporu jen po dobu osmnácti měsíců, po jejichž uplynutí už pro ně výrobci patche nedodávají. Proto se někteří uživatelé záplaty na nově objevenou chybu nikdy nedočkají.

A v podobné situace jsou rovněž uživatelé routerů a dalších zařízení, která musejí být aktualizována manuálně anebo pro která jsou firmwarové patche vydávány jen ojediněle. Práci případným útočníkům můžou ztížit systémy chráněné SMAP, SMEP nebo modulem SELinux, i když ani ty prý nejsou zcela neprůchodné.

Povzbudivé alespoň je, že podle Perception Point chyby dosud nikdo nezneužil.

Úvodní foto: Fotolia © profit_image










Komentáře